%define anolis_release 1

Name:    dbus-python
Version: 1.2.18
Release: %{anolis_release}%{?dist}
Summary: D-Bus Python Bindings

License: MIT
URL:     http://www.freedesktop.org/wiki/Software/DBusBindings/
Source0: http://dbus.freedesktop.org/releases/dbus-python/%{name}-%{version}.tar.gz
Source1: http://dbus.freedesktop.org/releases/dbus-python/%{name}-%{version}.tar.gz.asc
# gpg --keyserver keyring.debian.org --recv-keys 36EC5A6448A4F5EF79BEFE98E05AE1478F814C4F
# gpg --export --export-options export-minimal > gpgkey-36EC5A6448A4F5EF79BEFE98E05AE1478F814C4F.gpg
Source2: gpgkey-36EC5A6448A4F5EF79BEFE98E05AE1478F814C4F.gpg

Patch0: 0001-Move-python-modules-to-architecture-specific-directo.patch

BuildRequires: gnupg2
BuildRequires: pkgconfig(dbus-1)
BuildRequires: pkgconfig(glib-2.0)
# for %%check
BuildRequires: dbus-x11
BuildRequires: python%{python3_pkgversion}-gobject
# autoreconf and friends
BuildRequires: autoconf-archive automake libtool

%description  
D-Bus python bindings for use with python programs.

%package -n python%{python3_pkgversion}-dbus
Summary: D-Bus bindings for python3
%{?python_provide:%python_provide python%{python3_pkgversion}-dbus}
BuildRequires: python%{python3_pkgversion}-devel
# for py3_build
BuildRequires: python3dist(setuptools)
BuildRequires: make

%description -n python%{python3_pkgversion}-dbus
%{summary}.

%package devel
Summary: Libraries and headers for dbus-python

%description devel
Headers and static libraries for hooking up custom mainloops to the dbus python
bindings.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup -p1

autoreconf -vif

%build
%set_build_flags
%py3_build
%configure PYTHON="%{__python3}"
%make_build

%install
%py3_install
%make_install

# unpackaged files
rm -fv  $RPM_BUILD_ROOT%{python3_sitearch}/*.la
rm -rfv $RPM_BUILD_ROOT%{_datadir}/doc/dbus-python/

%check
make check -k || (cat test-suite.log && false)

%files -n python%{python3_pkgversion}-dbus
%doc NEWS
%license COPYING
%{python3_sitearch}/*.so
%{python3_sitearch}/dbus/
%{python3_sitearch}/dbus_python*egg-info

%files devel
%doc README ChangeLog doc/API_CHANGES.txt doc/tutorial.txt
%{_includedir}/dbus-1.0/dbus/dbus-python.h
%{_libdir}/pkgconfig/dbus-python.pc

%changelog
* Thu Mar 03 2022 Hongwei Qin <qhw01063182@alibaba-inc.com> - 1.2.18-1
- Update to 1.2.18 
- Init for Anolis OS 23
